module.exports = {
  create: {
    requestBody: [
      "title",
      "user",
      "user_id",
      "origin",
      "img_url",
      "brief",
      "content",
      "file_url",
      "create_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "user",
      "user_id",
      "origin",
      "img_url",
      "brief",
      "content",
      "file_url",
      "create_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "title",
        user: "user",
        user_id: "user_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
