'use strict';

const assert = require('assert');
const _ = require('lodash');
const uuid = require('uuid');
const urljoin = require('url-join');
const Controller = require('egg').Controller;

/**
 * 微信认证，获得openid和用户信息，生成微信Jwt
 */
class WeixinController extends Controller {
  /**
   * 认证流程
   * 1. 缓存原始请求地址，生成state和认证回调地址
   * 2. 通过wxapi认证，获得认证code
   * 3. 通过code获得openid，通过openid，查询绑定用户，创建jwt
   * 4. jwt写入redis，返回认证code
   * 5. 通过code获取jwt
   */
  // GET 请求认证
  // response_type:
  //       code - url带上code参数重定向到原始地址
  async auth() {
    await this.ctx.service.auth(this.ctx.query);
  }
  async authBack() {
    await this.ctx.service.authBack(this.ctx.query);
  }
}

module.exports = WeixinController;
