'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');

// 护士表
const NurseSchema = {
  name: { type: String, required: false, maxLength: 200 }, // 名称
  mobile: { type: String, required: true, maxLength: 64 }, // 手机
  passwd: { type: Secret, select: false }, // 注册密码
  hosname: { type: String, required: false, maxLength: 200 }, // 医院名称
  deptname: { type: String, required: false, maxLength: 200 }, // 科室名称
  doctorid: { type: String, required: true, maxLength: 64 }, // 医生id
  doctorname: { type: String, required: true, maxLength: 200 }, // 医生名称
  title: { type: String, required: false, maxLength: 200 }, // 职称
  post: { type: String, required: false, maxLength: 200 }, // 职务
  content: { type: String, required: false }, // 简介
  openid: { type: String, required: false }, // 微信openid
  remark: { type: String, required: false }, // 备注
};

const schema = new Schema(NurseSchema, { toJSON: { virtuals: true } });
schema.index({ openid: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Nurse', schema, 'nurse');
};
