'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class NurseService extends CrudService {
  constructor(ctx) {
    super(ctx, 'nurse');
    this.model = this.ctx.model.Nurse;
  }

  async create(data) {
    const { name, mobile, passwd } = data;
    assert(name && mobile && passwd, '缺少部分信息项');
    const newdata = data;
    newdata.passwd = { secret: passwd };
    return await this.model.create(newdata);
  }

  async update({ id }, data) {
    console.log(data.id);
    const nurse = await this.model.findById(id);
    console.log(nurse);
    nurse.name = data.name;
    nurse.mobile = data.mobile;
    nurse.hosname = data.hosname;
    nurse.deptname = data.deptname;
    nurse.title = data.title;
    nurse.post = data.post;
    nurse.content = data.content;
    nurse.remark = data.remark;
    nurse.openid = data.openid;
    nurse.doctorid = data.doctorid;
    nurse.doctroname = data.doctroname;
    if (data.passwd) {
      nurse.passwd = { secret: data.passwd };
    }
    return await nurse.save();
  }
}
module.exports = NurseService;
